Check email/phone verification status
curl --request POST \
--url https://staging.api.commercengine.io/api/v1/{store_id}/storefront/auth/verified-email-phone \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"phone": [
"<string>"
],
"email": [
"<string>"
]
}
'import requests
url = "https://staging.api.commercengine.io/api/v1/{store_id}/storefront/auth/verified-email-phone"
payload = {
"phone": ["<string>"],
"email": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({phone: ['<string>'], email: ['<string>']})
};
fetch('https://staging.api.commercengine.io/api/v1/{store_id}/storefront/auth/verified-email-phone', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"success": true,
"content": {
"verified_phone": [
"<string>"
],
"verified_email": [
"<string>"
]
}
}{
"message": "<string>",
"success": true,
"code": "<string>",
"error": {}
}{
"message": "<string>",
"success": false,
"code": "<string>"
}{
"message": "<string>",
"success": true,
"code": "<string>"
}Auth
Check email/phone verification status
Checks whether the userβs email and phone number have been verified.
POST
/
auth
/
verified-email-phone
Check email/phone verification status
Authorizations
Access token
Body
application/json
Response
OK
A descriptive message confirming the success or failure of the operation.
Indicates whether the request was successful or failure (true for success, false for failure).
An object containing the response content.
Show child attributes
Show child attributes
Was this page helpful?
βI